<?php
/*
 * XPressME - WordPress for XOOPS
 *
 * @copyright	XPressME Project http://www.toemon.com
 * @license		http://www.fsf.org/copyleft/gpl.html GNU public license
 * @author		toemon
 * @package		module::xpress
 */

if (defined( 'XOOPS_MAINFILE_INCLUDED')) :
class langInfoClass {
	var $xoops_Lang;
	var $wp_Lang;
	var $wp_lang_array = array(
		array('name' => 'Afrikaans',			'xoopsLang' => '', 				'wpLang' => 'af'	),
		array('name' => 'Albanian',				'xoopsLang' => '', 				'wpLang' => 'al'	),
		array('name' => 'Arabic',				'xoopsLang' => '', 				'wpLang' => 'ar'	),
		array('name' => 'Bangla',				'xoopsLang' => '', 				'wpLang' => 'bn_BD'	),
		array('name' => 'Basque',				'xoopsLang' => '', 				'wpLang' => 'eu'	),
		array('name' => 'Belarusian',			'xoopsLang' => '', 				'wpLang' =>	'be_BY'	),
		array('name' => 'Bosnian',				'xoopsLang' => '', 				'wpLang' =>	'bs_BA'	),
		array('name' => 'Bulgarian',			'xoopsLang' => '', 				'wpLang' =>	'bg_BG'	),
		array('name' => 'Catalan',				'xoopsLang' => '', 				'wpLang' =>	'ca'	),
		array('name' => 'Chinese',				'xoopsLang' => '', 				'wpLang' =>	'zh_CN'	),
		array('name' => 'Hong Kong',			'xoopsLang' => '', 				'wpLang' =>	'zh_HK'	),
		array('name' => 'Taiwan',				'xoopsLang' => '', 				'wpLang' =>	'zh_TW'	),
		array('name' => 'Croatian',				'xoopsLang' => '', 				'wpLang' =>	'hr'	),
		array('name' => 'Czech',				'xoopsLang' => '', 				'wpLang' =>	'cs_CZ'	),
		array('name' => 'Danish',				'xoopsLang' => '', 				'wpLang' =>	'da_DK'	),
		array('name' => 'Dutch',				'xoopsLang' => '', 				'wpLang' =>	'nl_NL'	),
		array('name' => 'English',				'xoopsLang' => 'english', 		'wpLang' => 'en_US'	),
		array('name' => 'Esperanto',			'xoopsLang' => '', 				'wpLang' =>	'eo'	),
		array('name' => 'Estonian',				'xoopsLang' => '', 				'wpLang' =>	'et'	),
		array('name' => 'Faroese',				'xoopsLang' => '', 				'wpLang' =>	'fo'	),
		array('name' => 'Finnish',				'xoopsLang' => '', 				'wpLang' =>	'fi'	),
		array('name' => 'Galician',				'xoopsLang' => '', 				'wpLang' =>	'gl_ES'	),
		array('name' => 'Georgian',				'xoopsLang' => '', 				'wpLang' =>	'ge_GE'	),
		array('name' => 'German',				'xoopsLang' => '', 				'wpLang' =>	'de_DE'	),
		array('name' => 'Greek',				'xoopsLang' => '', 				'wpLang' =>	'el'	),
		array('name' => 'Hebrew',				'xoopsLang' => '', 				'wpLang' =>	'he_IL'	),
		array('name' => 'Hungarian',			'xoopsLang' => '', 				'wpLang' =>	'hu_HU'	),
		array('name' => 'Icelandic',			'xoopsLang' => '', 				'wpLang' =>	'is_IS'	),
		array('name' => 'Indonesian',			'xoopsLang' => '', 				'wpLang' =>	'id_ID'	),
		array('name' => 'Italian',				'xoopsLang' => '', 				'wpLang' =>	'it_IT'	),
		array('name' => 'Japanese',				'xoopsLang' => 'japanese', 		'wpLang' => 'ja'	),
		array('name' => 'Japanese_utf8',		'xoopsLang' => 'ja_utf8', 		'wpLang' => 'ja'	),
		array('name' => 'Khmer',				'xoopsLang' => '', 				'wpLang' =>	'km_KH'	),
		array('name' => 'Korean',		 		'xoopsLang' => 'ko_utf8', 		'wpLang' =>	'ko_KR'	),
		array('name' => 'Latvian',				'xoopsLang' => '', 				'wpLang' =>	'lv'	),
		array('name' => 'Lithuanian',			'xoopsLang' => '', 				'wpLang' =>	'lt_LT'	),
		array('name' => 'Macedonian',			'xoopsLang' => '', 				'wpLang' =>	'mk_MK'	),
		array('name' => 'Malagasy',				'xoopsLang' => '', 				'wpLang' =>	'mg_MG'	),
		array('name' => 'Malay',				'xoopsLang' => '', 				'wpLang' =>	'ms_MY'	),
		array('name' => 'Nias',					'xoopsLang' => '', 				'wpLang' =>	'ni_ID'	),
		array('name' => 'Norwegian',			'xoopsLang' => '', 				'wpLang' =>	'nb_NO'	),
		array('name' => 'Persian',				'xoopsLang' => '', 				'wpLang' =>	'fa_IR'	),
		array('name' => 'Polish',				'xoopsLang' => '', 				'wpLang' =>	'pl_PL'	),
		array('name' => 'European Portuguese',	'xoopsLang' => '', 				'wpLang' =>	'pt_PT'	),
		array('name' => 'Brazilian Portuguese',	'xoopsLang' => 'pt-br_utf8', 	'wpLang' => 'pt_BR'	),
		array('name' => 'Romanian',				'xoopsLang' => '', 				'wpLang' =>	'ro'	),
		array('name' => 'Russian',				'xoopsLang' => '', 				'wpLang' =>	'ru_RU'	),
		array('name' => 'Serbian',				'xoopsLang' => '', 				'wpLang' =>	'sr_RS'	),
		array('name' => 'Sinhala',				'xoopsLang' => '', 				'wpLang' =>	'si_LK'	),
		array('name' => 'Slovak',				'xoopsLang' => '', 				'wpLang' =>	'sk_SK'	),
		array('name' => 'Slovenian',			'xoopsLang' => '', 				'wpLang' =>	'sl_SI'	),
		array('name' => 'Spanish',				'xoopsLang' => '', 				'wpLang' =>	'es_ES'	),
		array('name' => 'Sundanese',			'xoopsLang' => '', 				'wpLang' =>	'su_ID'	),
		array('name' => 'Swedish',				'xoopsLang' => '', 				'wpLang' =>	'sv_SE'	),
		array('name' => 'Tajik',				'xoopsLang' => '', 				'wpLang' =>	'tg'	),
		array('name' => 'Thai',					'xoopsLang' => '', 				'wpLang' =>	'th'	),
		array('name' => 'Turkish',				'xoopsLang' => '', 				'wpLang' =>	'tr'	),
		array('name' => 'Ukrainian',			'xoopsLang' => '', 				'wpLang' =>	'uk'	),
		array('name' => 'Uzbek',				'xoopsLang' => '', 				'wpLang' =>	'uz_UZ'	),
		array('name' => 'Vietnamse',			'xoopsLang' => '', 				'wpLang' =>	'vi'	),
		array('name' => 'Welsh',				'xoopsLang' => '', 				'wpLang' =>	'cy'	),
	);
	
	function __contructor()	//for PHP5
    {
        $this->langInfoClass();
    }
    
    function langInfoClass()	//for PHP4 constructor
    {
    	global $xoopsConfig;
    	
		$this->xoops_Lang = $xoopsConfig['language'];
		$this->wp_Lang = $this->get_wpLang();
    }
	function get_wpLang($xoops_Lang = '') 
	{
		if(empty($xoops_Lang)) $xoops_Lang = $this->xoops_Lang;
		foreach($this->wp_lang_array as $lang){
			if ($lang['xoopsLang'] === $xoops_Lang) return $lang['wpLang'];
		}
		return 'en_US';
	}
	function get_xoopsLang() 
	{
		return $this->xoops_Lang;
	}
	function get_LangList() 
	{
		return $this->$wp_lang_array;
	}
	
}
endif;
?>